problem with commandline args since upgrade to 3.0 from 3.0RC2

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

problem with commandline args since upgrade to 3.0 from 3.0RC2

aik01

my usual way to shutdown (in case of deadlock)

java -jar start.jar shutdown -u admin -p xxxxxx

gives an error since upgrade to eXist3.0 (newest develop,  
Ubuntu12.04LTS, java8:
...
IllegalArgumentExeption: Having a requried[sic!] argument and a  
default value makes no sense
    at se.  
softhouse.common.guavaextensions.Preconditions2.check(Preconditions2.java:45)
...

I understand from the commits that the argument handling was changed.

bug or API change?

regards
Peter



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Exist-open mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/exist-open
Reply | Threaded
Open this post in threaded view
|

Re: problem with commandline args since upgrade to 3.0 from 3.0RC2

Adam Retter
Hi Peter,

The arguments change stuff didn't make it into 3.0, it is scheduled
for the upcoming 3.1.0. Are you sure you are running 3.0?

On 6 March 2017 at 09:42,  <[hidden email]> wrote:

>
> my usual way to shutdown (in case of deadlock)
>
> java -jar start.jar shutdown -u admin -p xxxxxx
>
> gives an error since upgrade to eXist3.0 (newest develop,
> Ubuntu12.04LTS, java8:
> ...
> IllegalArgumentExeption: Having a requried[sic!] argument and a
> default value makes no sense
>     at se.
> softhouse.common.guavaextensions.Preconditions2.check(Preconditions2.java:45)
> ...
>
> I understand from the commits that the argument handling was changed.
>
> bug or API change?
>
> regards
> Peter
>
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
> _______________________________________________
> Exist-open mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/exist-open



--
Adam Retter

eXist Developer
{ United Kingdom }
[hidden email]
irc://irc.freenode.net/existdb

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Exist-open mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/exist-open
Reply | Threaded
Open this post in threaded view
|

Re: problem with commandline args since upgrade to 3.0 from 3.0RC2

Dmitriy Shabanov
Adam, "newest develop" mean last develop branch code and that's why it related to your PR.

Peter, can you open issue?

On Mon, Mar 6, 2017 at 1:00 PM, Adam Retter <[hidden email]> wrote:
Hi Peter,

The arguments change stuff didn't make it into 3.0, it is scheduled
for the upcoming 3.1.0. Are you sure you are running 3.0?

On 6 March 2017 at 09:42,  <[hidden email]> wrote:
>
> my usual way to shutdown (in case of deadlock)
>
> java -jar start.jar shutdown -u admin -p xxxxxx
>
> gives an error since upgrade to eXist3.0 (newest develop,
> Ubuntu12.04LTS, java8:
> ...
> IllegalArgumentExeption: Having a requried[sic!] argument and a
> default value makes no sense
>     at se.
> softhouse.common.guavaextensions.Preconditions2.check(Preconditions2.java:45)
> ...
>
> I understand from the commits that the argument handling was changed.
>
> bug or API change?


--
Dmitriy Shabanov

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Exist-open mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/exist-open
Reply | Threaded
Open this post in threaded view
|

Re: problem with commandline args since upgrade to 3.0 from 3.0RC2

Adam Retter
Oaky sorry I missed that "newest develop" bit. I guess the old
versioning scheme does cause problems ;-)

I will look into this this afternoon...

On 6 March 2017 at 10:45, Dmitriy Shabanov <[hidden email]> wrote:

> Adam, "newest develop" mean last develop branch code and that's why it
> related to your PR.
>
> Peter, can you open issue?
>
> On Mon, Mar 6, 2017 at 1:00 PM, Adam Retter <[hidden email]> wrote:
>>
>> Hi Peter,
>>
>> The arguments change stuff didn't make it into 3.0, it is scheduled
>> for the upcoming 3.1.0. Are you sure you are running 3.0?
>>
>> On 6 March 2017 at 09:42,  <[hidden email]> wrote:
>> >
>> > my usual way to shutdown (in case of deadlock)
>> >
>> > java -jar start.jar shutdown -u admin -p xxxxxx
>> >
>> > gives an error since upgrade to eXist3.0 (newest develop,
>> > Ubuntu12.04LTS, java8:
>> > ...
>> > IllegalArgumentExeption: Having a requried[sic!] argument and a
>> > default value makes no sense
>> >     at se.
>> >
>> > softhouse.common.guavaextensions.Preconditions2.check(Preconditions2.java:45)
>> > ...
>> >
>> > I understand from the commits that the argument handling was changed.
>> >
>> > bug or API change?
>
>
>
> --
> Dmitriy Shabanov



--
Adam Retter

eXist Developer
{ United Kingdom }
[hidden email]
irc://irc.freenode.net/existdb

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Exist-open mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/exist-open
Reply | Threaded
Open this post in threaded view
|

Re: problem with commandline args since upgrade to 3.0 from 3.0RC2

Adam Retter
Hi Peter,

Sorry about that I have created a small PR which fixes the issue here
- https://github.com/eXist-db/exist/pull/1326

On 6 March 2017 at 11:05, Adam Retter <[hidden email]> wrote:

> Oaky sorry I missed that "newest develop" bit. I guess the old
> versioning scheme does cause problems ;-)
>
> I will look into this this afternoon...
>
> On 6 March 2017 at 10:45, Dmitriy Shabanov <[hidden email]> wrote:
>> Adam, "newest develop" mean last develop branch code and that's why it
>> related to your PR.
>>
>> Peter, can you open issue?
>>
>> On Mon, Mar 6, 2017 at 1:00 PM, Adam Retter <[hidden email]> wrote:
>>>
>>> Hi Peter,
>>>
>>> The arguments change stuff didn't make it into 3.0, it is scheduled
>>> for the upcoming 3.1.0. Are you sure you are running 3.0?
>>>
>>> On 6 March 2017 at 09:42,  <[hidden email]> wrote:
>>> >
>>> > my usual way to shutdown (in case of deadlock)
>>> >
>>> > java -jar start.jar shutdown -u admin -p xxxxxx
>>> >
>>> > gives an error since upgrade to eXist3.0 (newest develop,
>>> > Ubuntu12.04LTS, java8:
>>> > ...
>>> > IllegalArgumentExeption: Having a requried[sic!] argument and a
>>> > default value makes no sense
>>> >     at se.
>>> >
>>> > softhouse.common.guavaextensions.Preconditions2.check(Preconditions2.java:45)
>>> > ...
>>> >
>>> > I understand from the commits that the argument handling was changed.
>>> >
>>> > bug or API change?
>>
>>
>>
>> --
>> Dmitriy Shabanov
>
>
>
> --
> Adam Retter
>
> eXist Developer
> { United Kingdom }
> [hidden email]
> irc://irc.freenode.net/existdb



--
Adam Retter

eXist Developer
{ United Kingdom }
[hidden email]
irc://irc.freenode.net/existdb

------------------------------------------------------------------------------
Announcing the Oxford Dictionaries API! The API offers world-renowned
dictionary content that is easy and intuitive to access. Sign up for an
account today to start using our lexical data to power your apps and
projects. Get started today and enter our developer competition.
http://sdm.link/oxford
_______________________________________________
Exist-open mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/exist-open